Feature: Creating the source

  @fixture.in_memory_database
  @fixture.backup_plan_repository
  Scenario Outline: Create an new unique backup plan
    Given the label "<label>"
    And the path "<source_path>"
    And the destinations <destinations>
    When I create the backup plan
    Then it should be created successfully

    Examples:
      | label | source_path | destinations                     |
      | usb   | /mnt/usb    | []                               |
      | db    | /db         | ["/backup/db"]                   |
      | temp  | /tmp        | ["/backup/tmp1", "/backup/tmp2"] |

  @fixture.in_memory_database
  @fixture.backup_plan_repository
  Scenario Outline: Create an new unique backup plan
    Given the label "<label>"
    And the path "<source_path>"
    And the destinations <destinations>
    When I create the backup plan
    When I delete the backup plan
    Then it should be deleted successfully

    Examples:
      | label | source_path | destinations                     |
      | usb   | /mnt/usb    | []                               |
      | db    | /db         | ["/backup/db"]                   |
      | temp  | /tmp        | ["/backup/tmp1", "/backup/tmp2"] |

